This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 917139 - Review Request: nodejs-options - in-code option parser for node.js
Review Request: nodejs-options - in-code option parser for node.js
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 917149
  Show dependency treegraph
 
Reported: 2013-03-01 15:07 EST by Troy Dawson
Modified: 2013-06-07 00:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: nodejs-options-0.0.5-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 00:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jamielinux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-03-01 15:07:08 EST
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-options.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-options-0.0.3-2.fc18.src.rpm
Description: A very light-weight in-code option parsers for node.js.
Fedora Account System Username: tdawson
Comment 1 Jamie Nguyen 2013-05-26 13:14:32 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: Latest version is packaged.

The current 0.0.3 tarball doesn't make any mention of the license, but the new 0.0.5 has an updated README that includes the MIT license text, so you can kill two birds with one stone here.


Spelling errors can be ignored.



===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-options-0.0.3-2.fc18.noarch.rpm
nodejs-options.noarch: W: spelling-error Summary(en_US) parsers -> parser, parses, parers
nodejs-options.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-options.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
nodejs-options.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-options.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-options
nodejs-options.noarch: W: spelling-error Summary(en_US) parsers -> parser, parses, parers
nodejs-options.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-options.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
nodejs-options.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-options.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-options (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-options:
    nodejs-options
    npm(options)



Source checksums
----------------
http://registry.npmjs.org/options/-/options-0.0.3.tgz :
  CHECKSUM(SHA256) this package     : 06cfe21b54b45f8cf7bb0a184d6ea6de3adb2dc471bf0663d06c791b4d48536d
  CHECKSUM(SHA256) upstream package : 06cfe21b54b45f8cf7bb0a184d6ea6de3adb2dc471bf0663d06c791b4d48536d


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review -r -n nodejs-options-0.0.3-2.fc18.src.rpm
Comment 2 Troy Dawson 2013-05-29 10:05:56 EDT
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-options.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-options-0.0.5-1.fc18.src.rpm

- Version
-- Updated to 0.0.5
- License
-- Updated version has MIT license in README.md
- Spelling
-- fixed (and it sounds better now too)
Comment 3 Jamie Nguyen 2013-05-29 10:48:45 EDT
Had to guess the typo in the SRPM link ;) but otherwise looks good.

Package approved!
Comment 4 Troy Dawson 2013-05-29 11:10:46 EDT
Sorry about that.  Just for completeness here is the URLS.
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-options.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-options-0.0.5-1.fc20.src.rpm
Comment 5 Troy Dawson 2013-05-29 11:11:51 EDT
New Package SCM Request
=======================
Package Name: nodejs-options
Short Description: in-code option parser for node.js
Owners: tdawson
Branches: f19 f18 el6
InitialCC:
Comment 6 Jon Ciesla 2013-05-29 11:48:08 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-05-29 15:11:45 EDT
nodejs-options-0.0.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-options-0.0.5-1.fc19
Comment 8 Fedora Update System 2013-05-30 13:54:27 EDT
nodejs-options-0.0.5-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-06-07 00:39:15 EDT
nodejs-options-0.0.5-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.